Index: lib_ppc/board.c
===================================================================
RCS file: /srv/CVS/pplinux/u-boot/lib_ppc/board.c,v
retrieving revision 1.1.333.1
retrieving revision 1.3
diff -u -r1.1.333.1 -r1.3
--- lib_ppc/board.c	3 Feb 2005 09:43:34 -0000	1.1.333.1
+++ lib_ppc/board.c	29 Apr 2005 08:43:30 -0000	1.3
@@ -270,7 +270,11 @@
 #endif
 	env_init,
 	init_baudrate,
+#ifdef CONFIG_PEPPERCON
+	board_serial_init,
+#else /* !CONFIG_PEPPERCON */
 	serial_init,
+#endif /* !CONFIG_PEPPERCON */
 	console_init_f,
 	display_options,
 #if defined(CONFIG_8260)
@@ -281,7 +285,9 @@
 #if defined(CONFIG_MPC5XXX)
 	prt_mpc5xxx_clks,
 #endif /* CONFIG_MPC5XXX */
+#ifndef CONFIG_PEPPERCON
 	checkboard,
+#endif
 	INIT_FUNC_WATCHDOG_INIT
 #if defined(CONFIG_BMW)		|| \
     defined(CONFIG_COGENT)	|| \
@@ -294,6 +300,9 @@
 #if defined(CONFIG_HARD_I2C) || defined(CONFIG_SOFT_I2C)
 	init_func_i2c,
 #endif
+#if defined(CONFIG_PEPPERCON) && (DYNAMIC_PLL == 1)
+	board_reinit_pll,
+#endif
 #if defined(CONFIG_DTT)		/* Digital Thermometers and Thermostats */
 	dtt_init,
 #endif
@@ -340,6 +349,10 @@
 	uchar tmp[64];		/* long enough for environment variables */
 #endif
 
+#ifdef CONFIG_PEPPERCON
+	int defaults_jumper_set;
+#endif /* CONFIG_PEPPERCON */
+
 	/* Pointer is writable since we allocated a register for it */
 	gd = (gd_t *) (CFG_INIT_RAM_ADDR + CFG_GBL_DATA_OFFSET);
 
@@ -348,6 +361,20 @@
 	memset ((void *) gd, 0, sizeof (gd_t));
 #endif
 
+#ifdef CONFIG_PEPPERCON
+	/*
+	 * determine defaults jumper state - this must be before board_pre_init()
+	 *
+	 * NOTE: On eRIC 1.x (hardware id 0) this jumper is low active.
+	 */
+# if (PP_HWID_INT == 0x00)
+	defaults_jumper_set = (in32(GPIO0_IR) & 0x08000000) ? 0 : PP_DEFAULTS_JUMPER;
+# else
+	defaults_jumper_set = (in32(GPIO0_IR) & 0x04000000) ? PP_DEFAULTS_JUMPER : 0;
+# endif
+
+#endif /* CONFIG_PEPPERCON */
+
 	for (init_fnc_ptr = init_sequence; *init_fnc_ptr; ++init_fnc_ptr) {
 		if ((*init_fnc_ptr) () != 0) {
 			hang ();
@@ -504,6 +531,17 @@
 #endif
 #endif
 
+#ifdef CONFIG_PEPPERCON
+	bd->bi_debug_mode = gd->serial_debug;
+	bd->bi_def_jumper_set = defaults_jumper_set;
+	bd->bi_cable_kme = gd->cable_kme;
+	bd->bi_config_mode = 0; /* per default don't start the config tool */
+	bd->bi_opb_busfreq = get_OPB_freq();
+	bd->bi_epb_busfreq = get_EPB_freq();
+	bd->bi_iic_fast[0] = 0;
+	bd->bi_hwid = gd->hwid;
+#endif
+
 	debug ("New Stack Pointer is: %08lx\n", addr_sp);
 
 	WATCHDOG_RESET ();
@@ -518,7 +556,7 @@
 	memcpy (id, (void *)gd, sizeof (gd_t));
 
 	relocate_code (addr_sp, id, addr);
-
+       
 	/* NOTREACHED - relocate_code() does not return */
 }
 
@@ -555,7 +593,7 @@
 	gd->flags |= GD_FLG_RELOC;	/* tell others: relocation done */
 
 	debug ("Now running in RAM - U-Boot at: %08lx\n", dest_addr);
-
+	
 	WATCHDOG_RESET ();
 
 	gd->reloc_off = dest_addr - CFG_MONITOR_BASE;
@@ -609,6 +647,7 @@
 #if defined(CONFIG_IP860) || defined(CONFIG_PCU_E) || defined (CONFIG_FLAGADM)
 	icache_enable ();	/* it's time to enable the instruction cache */
 #endif
+	//dcache_enable ();
 
 #if defined(CFG_INIT_RAM_LOCK) && defined(CONFIG_E500)
        unlock_ram_in_cache();  /* it's time to unlock D-cache in e500 */
@@ -680,6 +719,10 @@
 	bd->bi_flashoffset = 0;
 #endif /* !CFG_NO_FLASH */
 
+#ifdef CONFIG_PEPPERCON
+	bd->bi_hwid = checkboard();
+#endif
+	
 	WATCHDOG_RESET ();
 
 	/* initialize higher level parts of CPU like time base and timers */
@@ -955,6 +998,14 @@
  }
 #endif
 
+#ifdef CONFIG_PEPPERCON
+	command_enable_user("erla");
+	command_enable_user("reset");
+	command_enable_user("config");
+	command_enable_user("defaults");
+	command_enable_user("help");
+#endif
+
 	/* Initialization complete - start the monitor */
 
 	/* main_loop() can return to retry autoboot, if so just run it again. */
Index: net/net.c
===================================================================
RCS file: /srv/CVS/pplinux/u-boot/net/net.c,v
retrieving revision 1.1.333.1
retrieving revision 1.2
diff -u -r1.1.333.1 -r1.2
--- net/net.c	3 Feb 2005 09:43:35 -0000	1.1.333.1
+++ net/net.c	3 Feb 2005 10:35:41 -0000	1.2
@@ -61,6 +61,7 @@
 #include <common.h>
 #include <watchdog.h>
 #include <command.h>
+#include <malloc.h>
 #include <net.h>
 #include "bootp.h"
 #include "tftp.h"
@@ -126,7 +127,7 @@
 static void PingStart(void);
 #endif
 
-volatile uchar	PktBuf[(PKTBUFSRX+1) * PKTSIZE_ALIGN + PKTALIGN];
+volatile uchar	* PktBuf = NULL;
 
 volatile uchar *NetRxPackets[PKTBUFSRX]; /* Receive packets			*/
 
@@ -241,10 +242,15 @@
 	if (!NetTxPacket) {
 		int	i;
 
+		if (!PktBuf) {
+		    PktBuf = malloc((PKTBUFSRX+1) * PKTSIZE_ALIGN + PKTALIGN);
+		    if (!PktBuf) return(-1);
+		}
+
 		/*
 		 *	Setup packet buffers, aligned correctly.
 		 */
-		NetTxPacket = &PktBuf[0] + (PKTALIGN - 1);
+		NetTxPacket = PktBuf + (PKTALIGN - 1);
 		NetTxPacket -= (ulong)NetTxPacket % PKTALIGN;
 		for (i = 0; i < PKTBUFSRX; i++) {
 			NetRxPackets[i] = NetTxPacket + (i+1)*PKTSIZE_ALIGN;
@@ -300,6 +306,7 @@
 		}
 
 		break;
+#if defined(CONFIG_RARP) || defined(CONFIG_RARP)
 	case BOOTP:
 	case RARP:
 		/*
@@ -309,6 +316,7 @@
 		NetOurIP = 0;
 		NetServerIP = 0;
 		break;
+#endif
 	default:
 		break;
 	}
@@ -343,15 +351,20 @@
 			break;
 #endif /* CFG_CMD_DHCP */
 
+#ifdef CONFIG_BOOTP
 		case BOOTP:
 			BootpTry = 0;
 			BootpRequest ();
 			break;
+#endif
 
+#ifdef CONFIG_RARP
 		case RARP:
 			RarpTry = 0;
 			RarpRequest ();
 			break;
+#endif
+
 #if (CONFIG_COMMANDS & CFG_CMD_PING)
 		case PING:
 			PingStart();
@@ -793,6 +806,7 @@
 			return;
 		}
 
+#ifdef CONFIG_RARP
 	case PROT_RARP:
 #ifdef ET_DEBUG
 		printf("Got RARP\n");
@@ -817,7 +831,7 @@
 			(*packetHandler)(0,0,0,0);
 		}
 		break;
-
+#endif
 	case PROT_IP:
 #ifdef ET_DEBUG
 		printf("Got IP\n");
@@ -935,6 +949,7 @@
 			}
 			/* Fall through */
 
+#if (CONFIG_COMMANDS & CFG_CMD_PING) || defined(CONFIG_BOOTP) || defined(CONFIG_RARP)
 	case DHCP:
 	case RARP:
 	case BOOTP:
@@ -963,6 +978,7 @@
 			    return (1);
 #endif
 			}
+#endif
 			/* Fall through */
 		default:
 			return(0);
Index: tools/Makefile
===================================================================
RCS file: /srv/CVS/pplinux/u-boot/tools/Makefile,v
retrieving revision 1.1.333.1
retrieving revision 1.2
diff -u -r1.1.333.1 -r1.2
--- tools/Makefile	3 Feb 2005 09:43:18 -0000	1.1.333.1
+++ tools/Makefile	3 Feb 2005 10:35:41 -0000	1.2
@@ -111,7 +111,7 @@
 #
 # Use native tools and options
 #
-CPPFLAGS   = -I../include -I.. -DTEXT_BASE=$(TEXT_BASE) -DUSE_HOSTCC
+CPPFLAGS   = -I../include -I.. -I$(TOPDIR)/board/$(BOARD) -DTEXT_BASE=$(TEXT_BASE) -DUSE_HOSTCC $(FW_CPPFLAGS)
 CFLAGS     = $(HOST_CFLAGS) $(CPPFLAGS) -O
 AFLAGS	   = -D__ASSEMBLY__ $(CPPFLAGS)
 CC	   = $(HOSTCC)
